<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'lead',

    /*
     * Modules.
     */
    'modules'   => ['leads', 'lead_user'],

    'leads'       => [
        'model' => [
            'model'                 => \Bixo\Lead\Models\Leads::class,
            'table'                 => 'leads',
            'presenter'             => \Bixo\Lead\Repositories\Presenter\LeadsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'team_id',  'ref',  'title_name',  'first_name',  'last_name',  'slug',  'stage',  'assigned_user',  'amount',  'probability',  'lead_source',  'date_close',  'account_name',  'email',  'phone',  'title',  'website',  'country_id',  'state_id',  'district_id',  'zipcode',  'status_id',  'type_id',  'source_id',  'budget_from',  'budget_to',  'industry_id',  'assigned_id',  'contact',  'description',  'notes',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'lead/leads',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Lead',
            'module'    => 'Leads',
        ],

    ],
    'lead_user'       => [
        'model' => [
            'model'                 => \Bixo\Lead\Models\LeadUser::class,
            'table'                 => 'lead_users',
            'presenter'             => \Bixo\Lead\Repositories\Presenter\LeadUserPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'lead_id',  'user_id',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'lead/lead_user',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Lead',
            'module'    => 'LeadUser',
        ],

    ],
];
