Lavalite package that provides lead management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/lead`.

    "bixo/lead": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Lead\Providers\LeadServiceProvider::class,

And also add it to alias

    'Lead'  => Bixo\Lead\Facades\Lead::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\LeadTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Lead\Providers\LeadServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Lead\Providers\LeadServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Lead\Providers\LeadServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/lead/{modulename}

**User**

    http://path-to-route-folder/user/lead/{modulename}

**Public**

    http://path-to-route-folder/leads


### API endpoints

**List**

    http://path-to-route-folder/api/user/lead/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/lead/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/lead/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/lead/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/lead/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/lead/{modulename}/{slug}
    METHOD: GET