<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('lead::leads.name') !!} <small> {!! trans('app.manage') !!} {!! trans('lead::leads.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('lead::leads.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='lead-leads-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('lead/leads')!!}">{!! trans('lead::leads.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('lead/leads?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('lead/leads?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('lead/leads/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('lead::admin.leads.partial.actions')
                    -->
                    @include('lead::admin.leads.partial.filter')
                    @include('lead::admin.leads.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="lead-leads-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="lead-leads-check-all"></th>
                        <th data-field="team_id">{!! trans('lead::leads.label.team_id')!!}</th>
                    <th data-field="ref">{!! trans('lead::leads.label.ref')!!}</th>
                    <th data-field="title_name">{!! trans('lead::leads.label.title_name')!!}</th>
                    <th data-field="first_name">{!! trans('lead::leads.label.first_name')!!}</th>
                    <th data-field="last_name">{!! trans('lead::leads.label.last_name')!!}</th>
                    <th data-field="stage">{!! trans('lead::leads.label.stage')!!}</th>
                    <th data-field="assigned_user">{!! trans('lead::leads.label.assigned_user')!!}</th>
                    <th data-field="amount">{!! trans('lead::leads.label.amount')!!}</th>
                    <th data-field="probability">{!! trans('lead::leads.label.probability')!!}</th>
                    <th data-field="lead_source">{!! trans('lead::leads.label.lead_source')!!}</th>
                    <th data-field="date_close">{!! trans('lead::leads.label.date_close')!!}</th>
                    <th data-field="account_name">{!! trans('lead::leads.label.account_name')!!}</th>
                    <th data-field="email">{!! trans('lead::leads.label.email')!!}</th>
                    <th data-field="phone">{!! trans('lead::leads.label.phone')!!}</th>
                    <th data-field="title">{!! trans('lead::leads.label.title')!!}</th>
                    <th data-field="website">{!! trans('lead::leads.label.website')!!}</th>
                    <th data-field="country_id">{!! trans('lead::leads.label.country_id')!!}</th>
                    <th data-field="state_id">{!! trans('lead::leads.label.state_id')!!}</th>
                    <th data-field="district_id">{!! trans('lead::leads.label.district_id')!!}</th>
                    <th data-field="zipcode">{!! trans('lead::leads.label.zipcode')!!}</th>
                    <th data-field="status_id">{!! trans('lead::leads.label.status_id')!!}</th>
                    <th data-field="type_id">{!! trans('lead::leads.label.type_id')!!}</th>
                    <th data-field="source_id">{!! trans('lead::leads.label.source_id')!!}</th>
                    <th data-field="budget_from">{!! trans('lead::leads.label.budget_from')!!}</th>
                    <th data-field="budget_to">{!! trans('lead::leads.label.budget_to')!!}</th>
                    <th data-field="industry_id">{!! trans('lead::leads.label.industry_id')!!}</th>
                    <th data-field="assigned_id">{!! trans('lead::leads.label.assigned_id')!!}</th>
                    <th data-field="contact">{!! trans('lead::leads.label.contact')!!}</th>
                    <th data-field="description">{!! trans('lead::leads.label.description')!!}</th>
                    <th data-field="notes">{!! trans('lead::leads.label.notes')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#lead-leads-entry', '{!!guard_url('lead/leads/0')!!}');
    oTable = $('#lead-leads-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('lead/leads') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'team_id'},
            {data :'ref'},
            {data :'title_name'},
            {data :'first_name'},
            {data :'last_name'},
            {data :'stage'},
            {data :'assigned_user'},
            {data :'amount'},
            {data :'probability'},
            {data :'lead_source'},
            {data :'date_close'},
            {data :'account_name'},
            {data :'email'},
            {data :'phone'},
            {data :'title'},
            {data :'website'},
            {data :'country_id'},
            {data :'state_id'},
            {data :'district_id'},
            {data :'zipcode'},
            {data :'status_id'},
            {data :'type_id'},
            {data :'source_id'},
            {data :'budget_from'},
            {data :'budget_to'},
            {data :'industry_id'},
            {data :'assigned_id'},
            {data :'contact'},
            {data :'description'},
            {data :'notes'},
        ],
        "pageLength": 25
    });

    $('#lead-leads-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#lead-leads-list').DataTable().row( this ).data();
        $('#lead-leads-entry').load('{!!guard_url('lead/leads')!!}' + '/' + d.id);
    });

    $('#lead-leads-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#lead-leads-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#lead-leads-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#lead-leads-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>